<?php
/**
 * Partial functions
 *
 * @package Theme Palace
 * @subpackage Personify Pro
 * @since Personify Pro 1.0
 */

if ( ! function_exists( 'personify_pro_introduction_firstname_partial' ) ) :
	// introduction firstname
	function personify_pro_introduction_firstname_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['introduction_firstname'] );
	}
endif;

if ( ! function_exists( 'personify_pro_introduction_lastname_partial' ) ) :
	// introduction lastname
	function personify_pro_introduction_lastname_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['introduction_lastname'] );
	}
endif;

if ( ! function_exists( 'personify_pro_introduction_profession_partial' ) ) :
	// introduction profession
	function personify_pro_introduction_profession_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['introduction_profession'] );
	}
endif;

if ( ! function_exists( 'personify_pro_introduction_short_description_partial' ) ) :
	// introduction short description
	function personify_pro_introduction_short_description_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['introduction_short_description'] );
	}
endif;

if ( ! function_exists( 'personify_pro_about_title_partial' ) ) :
	// about title
	function personify_pro_about_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['about_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_about_sub_title_partial' ) ) :
	// about title
	function personify_pro_about_sub_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['about_sub_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_about_description_partial' ) ) :
	// about title
	function personify_pro_about_description_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['about_description'] );
	}
endif;

if ( ! function_exists( 'personify_pro_featured_caption_partial' ) ) :
	// featured caption
	function personify_pro_featured_caption_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['featured_image_caption'] );
	}
endif;

if ( ! function_exists( 'personify_pro_journey_title_partial' ) ) :
	// journey title
	function personify_pro_journey_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['journey_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_journey_description_partial' ) ) :
	// journey description
	function personify_pro_journey_description_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['journey_description'] );
	}
endif;

if ( ! function_exists( 'personify_pro_message_content_partial' ) ) :
	// messge content
	function personify_pro_message_content_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['message_content_custom'] );
	}
endif;

if ( ! function_exists( 'personify_pro_event_title_partial' ) ) :
	// event content
	function personify_pro_event_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['event_section_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_event_description_partial' ) ) :
	// event content
	function personify_pro_event_description_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['event_section_description'] );
	}
endif;

if ( ! function_exists( 'personify_pro_testimonial_title_partial' ) ) :
	// testimonial title
	function personify_pro_testimonial_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['testimonial_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_feeds_title_partial' ) ) :
	// feeds title
	function personify_pro_feeds_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['feeds_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_subscription_title_partial' ) ) :
	// subscription Title
	function personify_pro_subscription_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['subscription_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_footer_firstname_partial' ) ) :
	// footer firstname
	function personify_pro_footer_firstname_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['footer_firstname'] );
	}
endif;

if ( ! function_exists( 'personify_pro_footer_lastname_partial' ) ) :
	// footer lastname
	function personify_pro_footer_lastname_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['footer_lastname'] );
	}
endif;

/*
 * Custom Template
 */

if ( ! function_exists( 'personify_pro_career_title_partial' ) ) :
	// career title
	function personify_pro_career_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['career_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_career_description_partial' ) ) :
	// career title
	function personify_pro_career_description_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['career_description'] );
	}
endif;

if ( ! function_exists( 'personify_pro_portfolio_title_partial' ) ) :
	// portfolio title
	function personify_pro_portfolio_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['portfolio_note_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_portfolio_description_partial' ) ) :
	// portfolio title
	function personify_pro_portfolio_description_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['portfolio_note_description'] );
	}
endif;

if ( ! function_exists( 'personify_pro_contact_detail_title_partial' ) ) :
	// contact title
	function personify_pro_contact_detail_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['contact_detail_title'] );
	}
endif;

if ( ! function_exists( 'personify_pro_contact_address_partial' ) ) :
	// contact address
	function personify_pro_contact_address_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['contact_address'] );
	}
endif;

if ( ! function_exists( 'personify_pro_contact_phone_partial' ) ) :
	// contact phone
	function personify_pro_contact_phone_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['contact_phone'] );
	}
endif;

if ( ! function_exists( 'personify_pro_contact_email_partial' ) ) :
	// contact email
	function personify_pro_contact_email_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['contact_email'] );
	}
endif;

if ( ! function_exists( 'personify_pro_contact_form_title_partial' ) ) :
	// contact email
	function personify_pro_contact_form_title_partial() {
		$options = personify_pro_get_theme_options();
		return esc_html( $options['contact_form_title'] );
	}
endif;
